NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::FormTaskBuilder Class Reference

Represents a Form Task feature builder. More...

Inheritance diagram for NXOpen::Die::FormTaskBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance of the form task. More...
 
NXOpen::ILocationCamDirection ()
 Returns the cam direction of the form task. More...
 
double DistanceTolerance ()
 Returns the distance tolerance of the form task. More...
 
bool FinishOperation ()
 Returns the finish operation switch of the form task, if true the form task is a finish operation, if false it is not. More...
 
std::vector< NXStringGetDetails ()
 Gets the details of the form task. More...
 
std::vector< NXOpen::IProfile * > GetRegionBounds (NXOpen::Die::DirectionOption *direction)
 Gets the region bounds of the form task. More...
 
std::vector< NXOpen::IProfile * > GetShapeDetail (NXOpen::Die::DirectionOption *direction)
 Gets the shape detail of the form task as a profile. More...
 
std::vector< NXOpen::Body * > GetShapeDetail ()
 Gets the shape detail of the form task. More...
 
NXOpen::PointPointInRegion ()
 Returns the point in region of the form task. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance of the form task. More...
 
void SetCamDirection (NXOpen::ILocation *camDirection)
 Sets the cam direction of the form task. More...
 
void SetDetails (std::vector< NXString > &strings)
 Sets the details of the form task. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance of the form task. More...
 
void SetFinishOperation (bool finishOperation)
 Sets the finish operation switch of the form task, if true the form task is a finish operation, if false it is not. More...
 
void SetPointInRegion (NXOpen::Point *pointInRegion)
 Sets the point in region of the form task. More...
 
void SetRegionBounds (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries)
 Sets the region bounds of the form task. More...
 
void SetShapeDetail (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries)
 Sets the shape detail of the form task using a profile. More...
 
void SetShapeDetail (const std::vector< NXOpen::Body * > &bodies)
 Sets the shape detail of the form task. More...
 
void SetTippedProduct (NXOpen::Features::Feature *tippedProduct)
 Sets the tipped product of the form task. More...
 
NXOpen::Features::FeatureTippedProduct ()
 Returns the tipped product of the form task. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Form Task feature builder.


To create a new instance of this class, use NXOpen::Die::DieCollection::FormTask

Created in NX4.0.0.

Member Function Documentation

double NXOpen::Die::FormTaskBuilder::AngleTolerance ( )

Returns the angle tolerance of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::ILocation* NXOpen::Die::FormTaskBuilder::CamDirection ( )

Returns the cam direction of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Die::FormTaskBuilder::DistanceTolerance ( )

Returns the distance tolerance of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Die::FormTaskBuilder::FinishOperation ( )

Returns the finish operation switch of the form task, if true the form task is a finish operation, if false it is not.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

std::vector<NXString> NXOpen::Die::FormTaskBuilder::GetDetails ( )

Gets the details of the form task.

Returns
Detail strings.
Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXOpen::IProfile *> NXOpen::Die::FormTaskBuilder::GetRegionBounds ( NXOpen::Die::DirectionOption direction)

Gets the region bounds of the form task.

Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
Parameters
directionProfile direction.
std::vector<NXOpen::IProfile *> NXOpen::Die::FormTaskBuilder::GetShapeDetail ( NXOpen::Die::DirectionOption direction)

Gets the shape detail of the form task as a profile.

Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
Parameters
directionProfile direction.
std::vector<NXOpen::Body *> NXOpen::Die::FormTaskBuilder::GetShapeDetail ( )

Gets the shape detail of the form task.

Returns
Sheet bodies defining the unfinished shape.
Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Point* NXOpen::Die::FormTaskBuilder::PointInRegion ( )

Returns the point in region of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Die::FormTaskBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
angleToleranceangle tolerance
void NXOpen::Die::FormTaskBuilder::SetCamDirection ( NXOpen::ILocation camDirection)

Sets the cam direction of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
camDirectioncam direction
void NXOpen::Die::FormTaskBuilder::SetDetails ( std::vector< NXString > &  strings)

Sets the details of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
stringsDetail strings.
void NXOpen::Die::FormTaskBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
distanceTolerancedistance tolerance
void NXOpen::Die::FormTaskBuilder::SetFinishOperation ( bool  finishOperation)

Sets the finish operation switch of the form task, if true the form task is a finish operation, if false it is not.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
finishOperationfinish operation
void NXOpen::Die::FormTaskBuilder::SetPointInRegion ( NXOpen::Point pointInRegion)

Sets the point in region of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
pointInRegionpoint in region
void NXOpen::Die::FormTaskBuilder::SetRegionBounds ( NXOpen::Die::DirectionOption  direction,
const std::vector< NXOpen::IProfile * > &  profileEntries 
)

Sets the region bounds of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.
void NXOpen::Die::FormTaskBuilder::SetShapeDetail ( NXOpen::Die::DirectionOption  direction,
const std::vector< NXOpen::IProfile * > &  profileEntries 
)

Sets the shape detail of the form task using a profile.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.
void NXOpen::Die::FormTaskBuilder::SetShapeDetail ( const std::vector< NXOpen::Body * > &  bodies)

Sets the shape detail of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
bodiesSheet bodies defining the unfinished shape.
void NXOpen::Die::FormTaskBuilder::SetTippedProduct ( NXOpen::Features::Feature tippedProduct)

Sets the tipped product of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
tippedProducttipped product
NXOpen::Features::Feature* NXOpen::Die::FormTaskBuilder::TippedProduct ( )

Returns the tipped product of the form task.


Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.